Page MenuHomePhabricator

History & Purpose of Wikimedia Cloud Services @ Wikimania Hackathon
Closed, ResolvedPublic

Description

This was originally proposed as a panel discussion for Wikimania with @madhuvishy, @chasemp and @bd808 leading. We'd like to run it during the Hackathon as a big chunk of our audience are technical collaborators.

I'm borrowing the original proposal from https://wikimania2017.wikimedia.org/wiki/Submissions/History_and_Purpose_of_Wikimedia_Public_Cloud_Services.

Abstract (up to 300 words to describe your proposal)

"Have you heard of Wikimedia Cloud Services?"

"Cloud what?"

"It’s a new team, they were called Labs before"

"Oh the tool labs thing?"

If you’ve been in these conversations, and are confused by all the terms floating around like Cloud, Labs, Toolforge, VPS, Beta cluster, etc., this session is for you. In this panel presentation, along with my team members (Chase Pettet and Bryan Davis) of the newly formed Wikimedia Cloud Services team, we will attempt to demystify these terms and tell the story of Labs, the rebranding, and where our renewed focus lies.

We’ll start at the beginning with the launch of Wikimedia Labs in 2011 as an experimental Infrastructure as a Service initiative. We'll talk about how it grew from a testing ground for projects on the way to production to a critical piece of infrastructure that powers important volunteer and staff efforts - Toolforge, the beta cluster, staging environments for services like ORES, and production services for WikiEd, Video2Commons, etc. We then move on to Toolforge, our Platform as a Service offering, that attempts to reduce the technical complexity in the path of hosting your bots and services on the Cloud; and explore it’s impact today in hosting over 1500 tools that do everything from automatically correcting template formatting errors to spam and vandalism detection.

You will then hear about the whys and hows of forming a new team around these services, and the need for rebranding - both the team, and the products we offer. We’ll also talk about our plans to provide better user support - in terms of technical documentation, fostering community run groups to develop policies around ownership and best practices, building better channels for collaboration and mentoring, and much more.

What will attendees take away from this session?

  • Clarity on what is Cloud, labs, tools, and other related words
  • Impact of Labs and tools in the Wikimedia ecosystem
  • The need to rename, and what the new products are called
  • What the team will focus/is focusing on now apart from what it was doing already, what is new
  • Actionable ways for the audience to get involved

Event Timeline

Restricted Application added subscribers: zhuyifei1999, Aklapper. · View Herald TranscriptJul 17 2017, 3:33 PM
greg added a subscriber: greg.Jul 24 2017, 9:07 PM
mxn added a subscriber: mxn.Aug 7 2017, 8:32 AM

It would be nice to track down the video from this session and get it posted on wikitech/commons. I poked around a bit on the wikimania wiki and didn't find obvious links so we may need to bug @bcampbell to find out where the recordings are posted.

@bd808 I'm uploading them to the MediaWiki YouTube channel as I have time to edit them. I'll upload them all to Commons when I return to California and have time to encode them to WebM.

Here is the Cloud Services talk: https://www.youtube.com/watch?v=edKrdyQl-Sg

Thanks!

@bd808 I'm uploading them to the MediaWiki YouTube channel as I have time to edit them. I'll upload them all to Commons when I return to California and have time to encode them to WebM.

@bcampbell You are awesome. :) Thanks so much for your work on this. https://tools.wmflabs.org/video2commons/ might save you some time and energy on transcoding and uploading to commons.

bd808 closed this task as Resolved.Sep 14 2017, 5:17 AM
bd808 assigned this task to madhuvishy.